Subject: Re: bug#17501: ARM cast-align Error

From: Paul Eggert <[email-masked]>
Date: Thu, 15 May 2014 19:19:44 -0700

Nathan Royce wrote:
> Similar to: http://lists.gnu.org/archive/html/bug-grep/2010-10/msg00020.html"
> CC       memchr.o
> memchr.c: In function 'rpl_memchr':memchr.c:84:18: error: cast increases required alignment of target type [-Werror=cast-align]

Unless you're on a weird machine (e.g., not byte addressible), I 
wouldn't worry about that.  I'd worry more about why 'configure' decided 
that memchr doesn't work on your machine.  What's up with that?  What 
does config.log say?

I suggest running 'configure' without using the '--enable-gcc-warnings' 
option, and/or building without -Werror.  --enable-gcc-warnings and/or 
-Werror work only on reasonably-recent-and-reliable platforms.